---
agentTools:
  projectIndex: https://docs.nvecta.com/llms.txt
---

# Get time-wise split(Timeseries) campaign analytics for specific channel

This endpoint is used to get data split by time for specific channel.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "<h2>This Reporting API can be used to get detailed analytics of campaigns of all channels. </p>",
    "version": "1.0.0",
    "title": "Reporting API",
    "termsOfService": "http://swagger.io/terms/",
    "contact": {
      "email": "info@notifyvisitors.com"
    }
  },
  "tags": [
    {
      "name": "Reporting API"
    }
  ],
  "paths": {
    "/getChannelTimeseries": {
      "post": {
        "tags": [
          "Reporting API"
        ],
        "summary": "Get time-wise split(Timeseries) campaigns analytics for specific channel",
        "description": "This endpoint is used to get data split by time for specific channel.",
        "operationId": "getChannelTimeseries",
        "parameters": [
          {
            "name": "x-brand-id",
            "in": "header",
            "description": "Brand id of notifyvisitors account",
            "required": true,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "x-api-key",
            "in": "header",
            "description": "Api key of notifyvisitors",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/getChannelTimeseries"
              }
            }
          },
          "description": "Body Parameter,",
          "required": true
        },
        "responses": {
          "200": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_200"
                }
              }
            }
          },
          "400": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_400"
                }
              }
            }
          },
          "401": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_401"
                }
              }
            }
          },
          "403": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_403"
                }
              }
            }
          },
          "500": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_500"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://analytics.notifyvisitors.com/api/v1"
    }
  ],
  "components": {
    "schemas": {
      "getChannelTimeseries": {
        "type": "object",
        "properties": {
          "fromDate": {
            "type": "string",
            "format": "string",
            "description": "Start of date range for data needed. Value specified in format YYYY-MM-DD. Required."
          },
          "toDate": {
            "type": "string",
            "format": "string",
            "description": "End of date range for data needed. Value specified in format YYYY-MM-DD. Required."
          },
          "channel": {
            "type": "string",
            "format": "string",
            "description": "The channel of the campaigns needed. Supported values include email, sms, whatsapp, webpush, apppush. Required"
          },
          "deliveryType": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Delivery type of the campaigns for which you want a report. Supported input values are one_time, journey, recurring, csv, and api. Optional."
          },
          "timeseries": {
            "type": "string",
            "format": "string",
            "description": "Determines if the report should be a time-wise split,  Supported values include daily, weekly, monthly, annual. optional"
          }
        }
      },
      "inline_response_200": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Success",
            "description": "Success"
          },
          "status": {
            "type": "number",
            "example": 200,
            "description": "200"
          }
        }
      },
      "inline_response_400": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Bad Request",
            "description": "Bad Request"
          },
          "status": {
            "type": "number",
            "example": 400,
            "description": "400"
          }
        }
      },
      "inline_response_401": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Authetication Fail",
            "description": "Authetication Fail"
          },
          "status": {
            "type": "number",
            "example": 401,
            "description": "401"
          }
        }
      },
      "inline_response_403": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Require Parameters Missing",
            "description": "Require Parameters Missing"
          },
          "status": {
            "type": "number",
            "example": 403,
            "description": "403"
          }
        }
      },
      "inline_response_500": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Something Went Wrong",
            "description": "Something Went Wrong"
          },
          "status": {
            "type": "number",
            "example": 500,
            "description": "500"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 102,
      "1": 159,
      "2": 156,
      "3": 196,
      "4": 21,
      "5": 199,
      "6": 145,
      "7": 0,
      "8": 43,
      "9": 57,
      "10": 181,
      "11": 45
    }
  }
}
```